Subject: [xmpp] question about presence information differences between SIP and XMPP

From: Ofer Goren <[email-masked]>
Date: Tue, 5 Oct 2010 00:29:29 +0200

Hi.
 I'm trying to see if I understand RFC 3921 the way it should have:
RFC 3863 suggests that a presence infomration document can include number of
tuples, each tuple describing the current presence status of
each contact address that the reporting entity can be reached by.

However, in RFC 3921, describing presence in XMPP, it looks like each binded
resource has only one location it can be reached by. While a contact can be
connected to any number of resources (XMPP clients, for example), a stanza
sent from a resource will only include one availability status.

Am I correct, or can a resource send more that one presence information in a
single stanza? Is a stanza like a PIDF containing one and only one tupple?

Thank you.
Ofer.

---

From: Peter Saint-Andre <[email-masked]>
Date: Mon, 04 Oct 2010 16:45:05 -0600

On 10/4/10 4:29 PM, Ofer Goren wrote:
> RFC 3863 suggests that a presence infomration document can include
> number of tuples, each tuple describing the current presence status of
> However, in RFC 3921, describing presence in XMPP, it looks like
> each binded resource has only one location it can be reached by. While a
> contact can be connected to any number of resources (XMPP clients, for
> example), a stanza sent from a resource will only include one
> availability status.
>  
> Am I correct, or can a resource send more that one presence information
> in a single stanza? Is a stanza like a PIDF containing one and only one
> tupple?

Yes. XMPP and SIP differ in this way.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/